HandlerContainer (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.server

## Interface HandlerContainer

- All Superinterfaces:
    LifeCycle
  All Known Implementing Classes:
    AbstractHandlerContainer, ConnectHandler, ConstraintSecurityHandler, ContextHandler, ContextHandlerCollection, DebugHandler, GzipHandler, HandlerCollection, HandlerList, HandlerWrapper, HotSwapHandler, IPAccessHandler, MovedContextHandler, ProxyHandler, RequestLogHandler, ResourceHandler, RewriteHandler, ScopedHandler, SecurityHandler, Server, ServletContextHandler, ServletHandler, ServletHandler, SessionHandler, StatisticsHandler, WebAppContext, WebSocketHandler

      public interface HandlerContainer
      extends LifeCycle

  A Handler that contains other Handlers.

  The contained handlers may be one (see @{link `HandlerWrapper`) or many (see `HandlerList` or `HandlerCollection`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `LifeCycle.Listener`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends Handler> T` | `getChildHandlerByClass(Class<T> byclass)`
    `Handler[]` | `getChildHandlers()`
    `Handler[]` | `getChildHandlersByClass(Class<?> byclass)`
    `Handler[]` | `getHandlers()`

    - ### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

- - ### Method Detail

    - #### getHandlers

          Handler[] getHandlers()

      Returns:
        array of handlers directly contained by this handler.

    - #### getChildHandlers

          Handler[] getChildHandlers()

      Returns:
        array of all handlers contained by this handler and it's children

    - #### getChildHandlersByClass

          Handler[] getChildHandlersByClass(Class<?> byclass)

      Parameters:
        `byclass` -
      Returns:
        array of all handlers contained by this handler and it's children of the passed type.

    - #### getChildHandlerByClass

          <T extends Handler> T getChildHandlerByClass(Class<T> byclass)

      Parameters:
        `byclass` -
      Returns:
        first handler of all handlers contained by this handler and it's children of the passed type.

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.